AWS Systems Manager
User Guide

Step 1: Complete Distributor Prerequisites

Before you use Distributor, be sure your environment meets the following requirements.

Distributor Prerequisites

Requirement Description

SSM Agent

SSM Agent version 2.3.274.0 or later must be installed on the instances to which you want to deploy or from which you want to remove packages.

To install or update SSM Agent, see Installing and Configuring SSM Agent.

AWS CLI

(Optional) To use the AWS CLI instead of the AWS Systems Manager console to create and manage packages, install the newest release of the AWS CLI on your local computer.

For more information about how to install or upgrade the CLI, see Installing the AWS Command Line Interface in the AWS Command Line Interface User Guide.

AWS Tools for PowerShell

(Optional) To use the Tools for PowerShell instead of the AWS Systems Manager console to create and manage packages, install the newest release of Tools for PowerShell on your local computer.

For more information about how to install or upgrade the Tools for PowerShell, see Setting Up the AWS Tools for Windows PowerShell or AWS Tools for PowerShell Core in the AWS Tools for PowerShell User Guide.